Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.modeshape.jcr.cache
Enum CachedNode.ReferenceType

    java.lang.Object
      java.lang.Enum<CachedNode.ReferenceType>
          org.modeshape.jcr.cache.CachedNode.ReferenceType

All Implemented Interfaces:
  Serializable, Comparable<CachedNode.ReferenceType>

Enclosing interface:
  CachedNode

    public static enum CachedNode.ReferenceType

extends Enum<CachedNode.ReferenceType>

Enum Constant Summary
`BOTH`
`STRONG`
`WEAK`

Method Summary
`static CachedNode.ReferenceType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CachedNode.ReferenceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STRONG

    public static final CachedNode.ReferenceType STRONG

### WEAK

    public static final CachedNode.ReferenceType WEAK

### BOTH

    public static final CachedNode.ReferenceType BOTH

Method Detail

### values

    public static CachedNode.ReferenceType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CachedNode.ReferenceType c : CachedNode.ReferenceType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CachedNode.ReferenceType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.